ChangeSet 1.1254.4.13, 2003/06/04 12:30:06-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in sound/oss/esssolo1.c


 sound/oss/esssolo1.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)


diff -Nru a/sound/oss/esssolo1.c b/sound/oss/esssolo1.c
--- a/sound/oss/esssolo1.c	Wed Jun  4 18:11:28 2003
+++ b/sound/oss/esssolo1.c	Wed Jun  4 18:11:28 2003
@@ -915,9 +915,9 @@
 {
 	unsigned int minor = minor(inode->i_rdev);
 	struct solo1_state *s = NULL;
-	struct pci_dev *pci_dev;
+	struct pci_dev *pci_dev = NULL;
 
-	pci_for_each_dev(pci_dev) {
+	while ((pci_dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, pci_dev)) != NULL) {
 		struct pci_driver *drvr;
 		drvr = pci_dev_driver (pci_dev);
 		if (drvr != &solo1_driver)
@@ -1597,9 +1597,9 @@
 	unsigned int minor = minor(inode->i_rdev);
 	DECLARE_WAITQUEUE(wait, current);
 	struct solo1_state *s = NULL;
-	struct pci_dev *pci_dev;
+	struct pci_dev *pci_dev = NULL;
 	
-	pci_for_each_dev(pci_dev) {
+	while ((pci_dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, pci_dev)) != NULL) {
 		struct pci_driver *drvr;
 
 		drvr = pci_dev_driver(pci_dev);
@@ -1888,9 +1888,9 @@
 	DECLARE_WAITQUEUE(wait, current);
 	unsigned long flags;
 	struct solo1_state *s = NULL;
-	struct pci_dev *pci_dev;
+	struct pci_dev *pci_dev = NULL;
 
-	pci_for_each_dev(pci_dev) {
+	while ((pci_dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, pci_dev)) != NULL) {
 		struct pci_driver *drvr;
 
 		drvr = pci_dev_driver(pci_dev);
@@ -2113,9 +2113,9 @@
 	unsigned int minor = minor(inode->i_rdev);
 	DECLARE_WAITQUEUE(wait, current);
 	struct solo1_state *s = NULL;
-	struct pci_dev *pci_dev;
+	struct pci_dev *pci_dev = NULL;
 
-	pci_for_each_dev(pci_dev) {
+	while ((pci_dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, pci_dev)) != NULL) {
 		struct pci_driver *drvr;
 
 		drvr = pci_dev_driver(pci_dev);
